<?php
/*
=====================================================================
More Customizer Stuff
=====================================================================
*/

/************************
START CALLBACK FUNCTIONS
************************/
function ewd_kcae_prem_callback_homepage_template(){
	return is_page_template('template-home.php');
}
function ewd_kcae_prem_callback_contact_page_template(){
	return is_page_template('template-contact.php');
}
/************************
END CALLBACK FUNCTIONS
************************/

function ewd_kcae_prem_customize_register( $wp_customize ){

	$installedThemeCompanion = function_exists( 'EWD_UPCP_Theme_Enable_Menu');
	$installedUPCP = function_exists( 'UPCP_Plugin_Menu');
	$installedOTP = function_exists( 'EWD_OTP_Default_Statuses');

	$wp_customize->remove_section('ewd_kcae_setting_important_links_section');
	$wp_customize->remove_section('ewd_kcae_setting_homepage_section');
	if( function_exists(wpseo_auto_load) ){
		$wp_customize->get_section('wpseo_breadcrumbs_customizer_section')->panel = 'ewd_kcae_setting_header_panel';
	}

	/*==============
	START IMPORTANT LINKS
	==============*/
	
	// DEFINE IMPORTANT LINKS
	class ewd_kcae_prem_setting_important_links_class extends WP_Customize_Control {

		public $type = "ewd_kcae_prem_setting_important_links_type";

		public function render_content() {
			$important_links = array(
				'theme-info' => array(
					'link' => esc_url('https://wordpress.org/themes/keep-calm-and-e-comm/'),
					'text' => esc_html__('Theme Info', 'keep-calm-and-e-comm'),
				),
				'support' => array(
					'link' => esc_url('https://wordpress.org/support/theme/keep-calm-and-e-comm/'),
					'text' => esc_html__('Support Forum', 'keep-calm-and-e-comm'),
				),
				'demo' => array(
					'link' => esc_url('http://www.etoilewebdesign.com/keep-calm-and-e-comm/'),
					'text' => esc_html__('View Demo', 'keep-calm-and-e-comm'),
				),
				'rating' => array(
					'link' => esc_url('http://wordpress.org/support/view/theme-reviews/keep-calm-and-e-comm'),
					'text' => esc_html__('Leave a Review', 'keep-calm-and-e-comm'),
				),
				'feedback' => array(
					'link' => esc_url('mailto:contact@etoilewebdesign.com'),
					'text' => esc_html__('Send Us Feedback', 'keep-calm-and-e-comm'),
				),
			);

			foreach ( $important_links as $important_link ) {
				echo '<p><a target="_blank" href="' . $important_link['link'] . '" >' . esc_attr( $important_link['text'] ) . ' </a></p>';
			}
		}
	}

	// CREATE IMPORTANT SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_important_links_section',
		array(
			'title'     => __( 'Keep Calm Important Links', 'keep-calm-and-e-comm'),
			'priority'  => 1000
		)
	);

	// DISPLAY IMPORTANT LINKS
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_important_links', array(
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_false',
	) );
	$wp_customize->add_control(
		new ewd_kcae_prem_setting_important_links_class(
			$wp_customize, 'important_links', array(
				'section'	=> 'ewd_kcae_prem_setting_important_links_section',
				'settings'	=> 'ewd_kcae_prem_setting_important_links'
			)
		)
	);

	// IMPORTANT LINKS CSS
	add_action( 'customize_controls_print_footer_scripts', 'ewd_kcae_prem_setting_important_links_css' );
	function ewd_kcae_prem_setting_important_links_css() { ?>
		<style>
			li#accordion-section-ewd_kcae_prem_setting_important_links_section h3 {
				background-color: #037751 !important;
				color: #fff !important;
			}
			li#accordion-section-ewd_kcae_prem_setting_important_links_section h3:after {
				color: #fff !important;
			}
			li#accordion-section-ewd_kcae_prem_setting_important_links_section:hover h3 {
				background-color: #12A374 !important;
			}
			.customize-control-ewd_kcae_prem_setting_important_links_type p a {
				text-decoration: none;
				width: 75%;
				margin-left: 12.5%;
				background-color: #037751;
				color: #fff;
				text-align: center;
				float: left;
				clear: both;
				padding: 6px 0;
				margin-bottom: 10px;
			}
			.customize-control-ewd_kcae_prem_setting_important_links_type p a:hover {
				background-color: #12A374;
			}
			#ewd-ust-lite-ugrade-button {
				display: none;
			}
		</style>
	<?php }

	/*==============
	END IMPORTANT LINKS
	==============*/

	/*==============
	START FONTS
	==============*/

	// CAPITALIZE HEADINGS
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_font_capitalize_headings', array(
		'default'		=> 'no',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_font_capitalize_headings',
		array(
			'section'			=> 'ewd_kcae_prem_setting_fonts',
			'label'				=> __( 'Disable Automatic Capitalization', 'keep-calm-and-e-comm' ),
			'description'	=> __( 'Select Yes to turn off all automatic capitalization in the theme (including for headings, menus, inputs, etc.).', 'keep-calm-and-e-comm' ),
			'type'    		=> 'radio',
			'choices'  		=> array(
				'yes'    			=> __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   				=> __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	/*==============
	END FONTS
	==============*/

	/*==============
	START UTILITY NAV
	==============*/

	// CREATE UTILITY NAV SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_utility_nav_section',
		array(
			'title'       => __( 'Utility Nav', 'keep-calm-and-e-comm'),
			'description' => __( 'Dislpay a utility navigation bar above the main menu.', 'keep-calm-and-e-comm'),
			'priority'    => 198,
			'panel'			=> 'ewd_kcae_setting_header_panel'
		)
	);

	// UTILITY NAV ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_enable',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Enable Utility Nav', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	// PHONE NUMBER
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_phone', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_phone',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Phone Number', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// EMAIL ADDRESS
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_email', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_email',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Email Address', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// FACEBOOK
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_facebook', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_facebook',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Facebook Link', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// TWITTER
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_twitter', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_twitter',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Twitter Link', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// INSTAGRAM
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_instagram', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_instagram',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Instagram Link', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// YOUTUBE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_youtube', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_youtube',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'YouTube Link', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// PINTEREST
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_pinterest', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_utility_nav_pinterest',
		array(
			'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
			'label'		=> __( 'Pinterest Link', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// BACKGROUND COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_background_color', array(
		'default'		=> '#111',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_utility_nav_background_color',
			array(
				'label'		=> __( 'Background Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
				'settings'	=> 'ewd_kcae_prem_setting_utility_nav_background_color'
			)
		)
	);

	// TEXT COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_utility_nav_text_color',
			array(
				'label'		=> __( 'Text Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
				'settings'	=> 'ewd_kcae_prem_setting_utility_nav_text_color'
			)
		)
	);

	// SOCIAL ICON COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_social_icon_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_utility_nav_social_icon_color',
			array(
				'label'		=> __( 'Social Icon Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
				'settings'	=> 'ewd_kcae_prem_setting_utility_nav_social_icon_color'
			)
		)
	);

	// SOCIAL ICON HOVER COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_utility_nav_social_icon_hover_color', array(
		'default'		=> '#037751',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_utility_nav_social_icon_hover_color',
			array(
				'label'		=> __( 'Social Icon Hover Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_utility_nav_section',
				'settings'	=> 'ewd_kcae_prem_setting_utility_nav_social_icon_hover_color'
			)
		)
	);

	/*==============
	END UTILITY NAV
	==============*/

	/*==============
	START PROMO BAR
	==============*/

	// CREATE PROMO BAR SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_promo_bar_section',
		array(
			'title'       => __( 'Promo Bar', 'keep-calm-and-e-comm'),
			'priority'    => 199,
			'panel'			=> 'ewd_kcae_setting_header_panel'
		)
	);

	// PROMO BAR ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_promo_bar_enable', array(
		'default'		=> 'no',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_promo_bar_enable',
		array(
			'section'	=> 'ewd_kcae_prem_setting_promo_bar_section',
			'label'		=> __( 'Enable Promo Bar', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'   => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	// PROMO BAR HEIGHT
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_promo_bar_height', array(
		'default'			=> '56',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_promo_bar_height',
		array(
			'section'	=> 'ewd_kcae_prem_setting_promo_bar_section',
			'label'		=> __( 'Promo Bar Height', 'keep-calm-and-e-comm' ),
			'description'		=> __( 'Specify a height in pixels without the unit (e.g. just "56" and not "56px")', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// PROMO TEXT
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_promo_bar_text', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_promo_bar_text',
		array(
			'section'	=> 'ewd_kcae_prem_setting_promo_bar_section',
			'label'		=> __( 'Promo Bar Text', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// PROMO TEXT FONT SIZE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_promo_bar_text_size', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_promo_bar_text_size',
		array(
			'section'	=> 'ewd_kcae_prem_setting_promo_bar_section',
			'label'		=> __( 'Promo Bar Text Size', 'keep-calm-and-e-comm' ),
			'description'		=> __( 'Specify a font size with the unit (e.g. 16px or 1.5em, etc.)', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// PROMO BAR TEXT COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_promo_bar_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_promo_bar_text_color',
			array(
				'label'		=> __( 'Promo Bar Text Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_promo_bar_section',
				'settings'	=> 'ewd_kcae_prem_setting_promo_bar_text_color'
			)
		)
	);

	// PROMO BAR BACKGROUND COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_promo_bar_background_color', array(
		'default'		=> '#c7ace2',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_promo_bar_background_color',
			array(
				'label'		=> __( 'Promo Bar Background Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_promo_bar_section',
				'settings'	=> 'ewd_kcae_prem_setting_promo_bar_background_color'
			)
		)
	);

	/*==============
	END PROMO BAR
	==============*/

	/*==============
	START HEADER HEIGHT
	==============*/

	// CREATE HEADER HEIGHT SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_header_height_section',
		array(
			'title'       => __( 'Header Height', 'keep-calm-and-e-comm'),
			'priority'    => 99,
			'panel'			=> 'ewd_kcae_setting_header_panel'
		)
	);

	// HEADER HEIGHT
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_header_height', array(
		'default'			=> '80',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_header_height',
		array(
			'section'	=> 'ewd_kcae_prem_setting_header_height_section',
			'label'		=> __( 'Header Height', 'keep-calm-and-e-comm' ),
			'description'		=> __( 'Specify a height for the header (the part with the logo and menu, not including the promo bar or utility nav.)<br/><br/>Set the height in pixels, but don\'t include the unit (i.e. "px").', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	/*==============
	END HEADER HEIGHT
	==============*/

	/*==============
	START BREADCRUMBS
	==============*/

	// CREATE BREADCRUMBS SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_breadcrumbs_section',
		array(
			'title'       => __( 'Breadcrumbs', 'keep-calm-and-e-comm'),
			'priority'    => 199,
			'panel'			=> 'ewd_kcae_setting_header_panel'
		)
	);

	// BREADCRUMBS ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_breadcrumbs_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_breadcrumbs_enable',
		array(
			'section'	=> 'ewd_kcae_prem_setting_breadcrumbs_section',
			'label'		=> __( 'Enable Breadcrumbs', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	// YOAST BREADCRUMBS ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_breadcrumbs_yoast_enable', array(
		'default'		=> 'no',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_breadcrumbs_yoast_enable',
		array(
			'section'	=> 'ewd_kcae_prem_setting_breadcrumbs_section',
			'label'		=> __( 'Enable Yoast Breadcrumbs', 'keep-calm-and-e-comm' ),
			'description' => __( 'Enabling Yoast breadcrumbs allows you to make use of Yoast\'s breadcrumbs feature, in place of the one that comes with the theme. Yoast offers various options that allow you to customize your breadcrumbs functionality. (Note: To use this setting, you must first have the Yoast SEO plugin installed and activated, and have breadcrumbs enabled in Yoast.)', 'keep-calm-and-e-comm'),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	// BREADCRUMBS TEXT
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_page_breadcrumbs_home_text', array(
		'default'			=> __('Home', 'keep-calm-and-e-comm'),
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_page_breadcrumbs_home_text',
		array(
			'section'	=> 'ewd_kcae_prem_setting_breadcrumbs_section',
			'label'		=> __( '"Home" Text', 'keep-calm-and-e-comm' ),
			'description'		=> __( 'This is for the standard breadcrumbs. If Yoast breadcrumbs are enabled, then you\'d configure this in Yoast\'s settings.', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// BREADCRUMBS COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_page_breadcrumbs_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_page_breadcrumbs_color',
			array(
				'label'		=> __( 'Breadcrumbs Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_breadcrumbs_section',
				'settings'	=> 'ewd_kcae_prem_setting_page_breadcrumbs_color'
			)
		)
	);

	/*==============
	END BREADCRUMBS
	==============*/


	/*==============
	START BLOG
	==============*/

	// CREATE BLOG SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_blog_section',
		array(
			'title'       => __( 'Blog and Archives', 'keep-calm-and-e-comm'),
			'priority'    => 11,
		)
	);

	// BLOG SIDEBAR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_blog_sidebar', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_blog_sidebar',
		array(
			'section'	=> 'ewd_kcae_prem_setting_blog_section',
			'label'		=> __( 'Blog Sidebar', 'keep-calm-and-e-comm' ),
			'description'		=> __( 'Choose whether or not to display the "Blog" sidebar on blog and archive pages.', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'   => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	// BLOG READ MORE BUTTON COLOR
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_blog_read_more_button_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ewd_kcae_prem_setting_blog_read_more_button_color',
			array(
				'label'		=> __( 'Read More Button Color', 'keep-calm-and-e-comm' ),
				'section'	=> 'ewd_kcae_prem_setting_blog_section',
				'settings'	=> 'ewd_kcae_prem_setting_blog_read_more_button_color'
			)
		)
	);

	/*==============
	END BLOG
	==============*/

	/*==============
	START SEARCH OPTIONS
	==============*/

	// AJAX SEARCH TYPE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_header_ajax_search_type', array(
		'default'		=> 'off',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_header_ajax_search_type',
		array(
			'section'	=> 'ewd_kcae_setting_search_section',
			'label'		=> __( 'Ajax Search', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'off'   => __( 'Off', 'keep-calm-and-e-comm' ),
				'autocomplete'   => __( 'Auto-Complete', 'keep-calm-and-e-comm' ),
				'full'   => __( 'Full', 'keep-calm-and-e-comm' ),
			)
		)
	);

	/*==============
	END SEARCH OPTIONS
	==============*/

	/*==============
	START LOGGED-IN MENU
	==============*/

	// CREATE LOGGED-IN MENU SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_logged_in_menu_section',
		array(
			'title'       => __( 'Logged-In Menu', 'keep-calm-and-e-comm'),
			'priority'    => 11,
			'panel'		  => 'nav_menus',
		)
	);

	// LOGGED-IN MENU ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_logged_in_menu', array(
		'default'		=> 'no',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_logged_in_menu',
		array(
			'section'		=> 'ewd_kcae_prem_setting_logged_in_menu_section',
			'label'			=> __( 'Logged-In Menu', 'keep-calm-and-e-comm' ),
			'description'	=> __( 'This enables a separate menu for those who are currently logged in. Just create the menu you want for this and assign it to the "Logged-In Menu" location.', 'keep-calm-and-e-comm' ),
			'type'    		=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'			=> __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	/*==============
	END LOGGED-IN MENU
	==============*/

	/*==============
	START CONTACT PAGE
	==============*/

	// CREATE CONTACT PAGE SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_contact_page_section',
		array(
			'title'     => __( 'Contact Page', 'keep-calm-and-e-comm'),
			'priority'  => 9,
			//'active_callback' => 'ewd_kcae_callback_contact_page_template'
		)
	);

	// MAP ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_map_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_map_enable',
		array(
			'section'	=> 'ewd_kcae_prem_setting_contact_page_section',
			'label'		=> __( 'Display Google Map', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	// ADDRESS FOR MAP
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_address', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_textarea_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_address',
		array(
			'section'	=> 'ewd_kcae_prem_setting_contact_page_section',
			'label'		=> __( 'Address for Map', 'keep-calm-and-e-comm' ),
			'type'    	=> 'textarea',
		)
	);

	// MAP WIDTH
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_map_width', array(
		'default'			=> '',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_map_width',
		array(
			'section'	=> 'ewd_kcae_prem_setting_contact_page_section',
			'label'		=> __( 'Map Width', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// MAP HEIGHT
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_map_height', array(
		'default'			=> '400px',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_map_height',
		array(
			'section'	=> 'ewd_kcae_prem_setting_contact_page_section',
			'label'		=> __( 'Map Height', 'keep-calm-and-e-comm' ),
			'type'    	=> 'text',
		)
	);

	// CONTACT FORM ENABLE
	$wp_customize->add_setting( 'ewd_kcae_prem_setting_contact_form_enable', array(
		'default'		=> 'no',
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'ewd_kcae_prem_setting_contact_form_enable',
		array(
			'section'	=> 'ewd_kcae_prem_setting_contact_page_section',
			'label'		=> __( 'Display Contact Form', 'keep-calm-and-e-comm' ),
			'description'		=> __( 'Requires Contact Form 7 plugin, which must be installed and activated before setting this option to "Yes".', 'keep-calm-and-e-comm' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'keep-calm-and-e-comm' ),
				'no'   => __( 'No', 'keep-calm-and-e-comm' ),
			)
		)
	);

	/*==============
	END CONTACT PAGE
	==============*/

	/*==============
	START HOMEPAGE SECTIONS
	==============*/

	// CREATE HOMEPAGE SECTIONS SECTION
	$wp_customize->add_section(
		'ewd_kcae_prem_setting_homepage_sections',
		array(
			'title'       => __( 'Sections', 'keep-calm-and-e-comm'),
			'description' => __( 'The options to customize the Callout and Text-on-Picture areas can be found in the "Callout Area" and "Text on Picture" sections. Use the table below to enable/disable or re-order homepage sections by dragging and dropping them.<br /><br />** If you notice that the Save button above doesn\'t become active after toggling one of the switches below, just drag an element to another position and then back, and the button should then become active.', 'keep-calm-and-e-comm'),
			'priority'    => 199,
			'panel'			=> 'ewd_kcae_setting_homepage_panel'
		)
	);
	if(class_exists('WP_Customize_Control')){
		class WP_Customize_Homepage_Sections extends WP_Customize_Control {
			public $type = 'section_order';

			function render_content() {
				$Sections = get_option('EWD_KCAE_Homepage_Sections');
				?>
				<table class='sorttable homepage-sections-list'>
				<thead>
					<tr>
						<th>Section</th>
						<th>Visible?</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($Sections as $Key => $Section) { ?>
						<tr id="list-item-<?php echo $Section['Name']; ?>" class="list-item" data-section='<?php echo $Section['Name']; ?>'>
							<td><input type='hidden' name='Order[]' value='<?php echo $Key; ?>' data-section='<?php echo $Section['Name']; ?>' /><?php echo $Section['Name']; ?></td>
							<td><label class='switch'><input type='checkbox' name='Visible[]' data-section='<?php echo $Section['Name']; ?>' value='<?php echo $Section['Display']; ?>' <?php if ($Section['Display'] == "Yes") {echo "checked='checked'";} ?>><div class="slider round"></div></label></td>
						</tr>
					<?php } ?>
				</tbody>
				<tfoot>
					<tr>
						<th>Section</th>
						<th>Visible?</th>
					</tr>
				</tfoot>
				</table>

			<?php }
		}
	}
	$wp_customize->add_setting( 'ewd_kcae_prem_section_ordering', array(
		'sanitize_callback' => 'ewd_kcae_prem_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control( new WP_Customize_Homepage_Sections(
		$wp_customize,
		'ewd_kcae_prem_section_ordering',
		array(
			'section'		=> 'ewd_kcae_prem_setting_homepage_sections',
			'label'			=> __( 'Homepage Sections', 'keep-calm-and-e-comm' ),
			'description'	=> __( 'Which sections should display on the homepage, and in what order? (drag and drop to reorder)', 'keep-calm-and-e-comm' )
		)
	));

	/*==============
	END HOMEPAGE SECTIONS
	==============*/


} // END ewd_kcae_customize_register FUNCTION
add_action( 'customize_register', 'ewd_kcae_prem_customize_register' );


function ewd_kcae_prem_customizer_css(){
	echo "<style type='text/css'>";
		$usCustomizerCSS .= "#header input { color: " . get_theme_mod( 'ewd_kcae_prem_setting_menu_text_color' ) . "; border-color: " . get_theme_mod( 'ewd_kcae_prem_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input::-webkit-input-placeholder { color: " . get_theme_mod( 'ewd_kcae_prem_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input:-moz-placeholder { color: " . get_theme_mod( 'ewd_kcae_prem_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input::-moz-placeholder { color: " . get_theme_mod( 'ewd_kcae_prem_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input:-ms-input-placeholder { color: " . get_theme_mod( 'ewd_kcae_prem_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleArea .ewdBreadcrumbs, .singlePage .titleArea .ewdBreadcrumbs a { color: " . get_theme_mod( 'ewd_kcae_prem_setting_page_breadcrumbs_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleBannerImage { background-color: " . get_theme_mod( 'ewd_kcae_prem_setting_page_title_bar_background_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleBannerImage h1 { color: " . get_theme_mod( 'ewd_kcae_prem_setting_page_title_bar_text_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleBannerImage .ewdBreadcrumbs, .singlePage .titleBannerImage .ewdBreadcrumbs a { color: " . get_theme_mod( 'ewd_kcae_prem_setting_page_breadcrumbs_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .minimalistTitleArea h1 { color: " . get_theme_mod( 'ewd_kcae_prem_setting_page_title_bar_text_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .minimalistTitleArea .ewdBreadcrumbs, .singlePage .minimalistTitleArea .ewdBreadcrumbs a { color: " . get_theme_mod( 'ewd_kcae_prem_setting_page_breadcrumbs_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav { background: " . get_theme_mod( 'ewd_kcae_prem_setting_utility_nav_background_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav #utilityAd, #utilityNav #utilityAd .fa, #utilityNav #utilityAd a, #utilityNav #utilityAd a .fa { color: " . get_theme_mod( 'ewd_kcae_prem_setting_utility_nav_text_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav #utilitySocial a .fa { color: " . get_theme_mod( 'ewd_kcae_prem_setting_utility_nav_social_icon_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav #utilitySocial a:hover .fa { color: " . get_theme_mod( 'ewd_kcae_prem_setting_utility_nav_social_icon_hover_color' ) . "; }";
		$usCustomizerCSS .= ".excerptReadMore { background: " . get_theme_mod( 'ewd_kcae_prem_setting_blog_read_more_button_color' ) . "; border-color: " . get_theme_mod( 'ewd_kcae_prem_setting_blog_read_more_button_color' ) . "; }";
		$usCustomizerCSS .= ".excerptReadMore:hover { color: " . get_theme_mod( 'ewd_kcae_prem_setting_blog_read_more_button_color' ) . "; }";
		$usCustomizerCSS .= "#promoBar { background-color: " . get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_background_color' ) . "; color: " . get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_text_color' ) . "; font-size: " . get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_text_size' ) . "; }";
		$usCustomizerCSS .= "#promoBarInside { height: " . get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height' ) . "px; }";
		$usCustomizerCSS .= "#header, #mainHeader { height: " . get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) . "px; }";
		$usCustomizerCSS .= "#header.headerWithUtilityNav { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 36 ). "px; }";
		$usCustomizerCSS .= "#header.headerWithPromoBar { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') ) . "px; }";
		$usCustomizerCSS .= "#header.headerWithUtilityNavAndPromoBar { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 36 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 1 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerUtilityNavClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 37 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 47 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarAndUtilityNavClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 83 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerPromoBarClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 1 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarAndPromoBarClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 47 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerUtilityNavAndPromoBarClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 37 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarAndUtilityNavAndPromoBarClear { top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 83 ). "px; }";
		$usCustomizerCSS .= "#sliderMenuClearWithUtilityNav { height: 36px; }";
		$usCustomizerCSS .= "#sliderMenuClearWithPromoBar { height: " . get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') . "px; }";
		$usCustomizerCSS .= "#sliderMenuClearWithUtilityNavAndPromoBar { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 36 ). "px; }";
		$usCustomizerCSS .= "@media screen and (max-width: 768px) { ";
		$usCustomizerCSS .= "#sliderMenuClear { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 1 ). "px; }";
		$usCustomizerCSS .= "#sliderMenuClearWithUtilityNav { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 37 ). "px; }";
		$usCustomizerCSS .= "#sliderMenuClearWithPromoBar { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 1 ). "px; }";
		$usCustomizerCSS .= "#sliderMenuClearWithUtilityNavAndPromoBar { height: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 37 ). "px; }";
		$usCustomizerCSS .= " }"; //end media query
		$usCustomizerCSS .= ".singlePage.utilityNavClear { margin-top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + 37 ). "px; }";
		$usCustomizerCSS .= ".singlePage.promoBarClear { margin-top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 1 ). "px; }";
		$usCustomizerCSS .= ".singlePage.utilityNavAndPromoBarClear { margin-top: " . ( get_theme_mod( 'ewd_kcae_prem_setting_header_height', '80' ) + get_theme_mod( 'ewd_kcae_prem_setting_promo_bar_height', '56') + 37 ). "px; }";
		if($disableAutoCapitalization == 'yes'){
			$usCustomizerCSS .= "h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, input, textarea, select, option, #menu ul li a, #header input, #mobileMenu ul li a, .featuredProds ul li .prodInfo .prodTitle, .postComments ol.commentlist li .reply { text-transform: none; }";
		}
		echo esc_attr($usCustomizerCSS);
	echo "</style>";
}
add_action( 'wp_head', 'ewd_kcae_prem_customizer_css' );


function ewd_kcae_prem_setting_sanitize_all_text_fields($input){
	return sanitize_text_field( wp_unslash($input) );
}
function ewd_kcae_prem_setting_sanitize_all_textarea_fields($input){
	return sanitize_textarea_field( wp_unslash($input) );
}
function ewd_kcae_prem_setting_sanitize_all_color_fields($input){
	return sanitize_hex_color( wp_unslash($input) );
}
function ewd_kcae_prem_setting_sanitize_all_url_fields($input){
	return esc_url_raw( wp_unslash($input) );
}
function ewd_kcae_prem_setting_sanitize_all_radio_fields($input, $setting){
	$input = sanitize_key( wp_unslash($input) );
	$choices = $setting->manager->get_control($setting->id)->choices;
	return ( array_key_exists($input, $choices) ? $input : $setting->default );
}
function ewd_kcae_prem_setting_sanitize_false(){
	return false;
}



/*
=====================================================================
Create Contact Form
=====================================================================
*/

function EWD_KCAE_Create_Contact_Form() {
	$Admin_Email = get_option('admin_email');
	$Blogname = get_option('blogname');
	$Site_URL = get_bloginfo('siteurl');

	$post = array(
		'post_name' => 'ewd-kcae-contact-form',
		'post_title' => 'Contact Form',
		'post_type' => 'wpcf7_contact_form',
		'post_content' =>
'<p>Your Name (required)<br />
    [text* your-name] </p>

<p>Your Email (required)<br />
    [email* your-email] </p>

<p>Subject<br />
    [text your-subject] </p>

<p>Your Message<br />
    [textarea your-message] </p>

<p>[submit "Send"]</p>
Contact Form E-mail
[your-name] <' . $Admin_Email . '>
From: [your-name] <[your-email]>
Subject: [your-subject]

Message Body:
[your-message]

--
This e-mail was sent from a contact form on ' . $Blogname . ' (' . $Site_URL . ')
' . $Admin_Email . '
Reply-To: [your-email]

0
0

[your-subject]
' . $Blogname . ' <' . $Admin_Email . '>
Message Body:
[your-message]

--
This e-mail was sent from a contact form on ' . $Blogname . ' (' . $Site_URL . ')
[your-email]
Reply-To: ' . $Admin_Email . '

0
0
Your message was sent successfully. Thanks.
Failed to send your message. Please try later or contact the administrator by another method.
Validation errors occurred. Please confirm the fields and submit it again.
Failed to send your message. Please try later or contact the administrator by another method.
Please accept the terms to proceed.
Please fill in the required field.
This input is too long.
This input is too short.
			');

	$insert_result = wp_insert_post( $post);

	if ($insert_result != 0) {
			$mail_array = array(
			'subject' => '[your-subject]',
			'sender' => $Blogname . ' <' . $Admin_Email . '>',
			'body' => 'From: [your-name] <[your-email]>
Interested Product: [product-name]

Message Body:
[your-message]

--
This e-mail was sent from a contact form on ' . $Blogname . ' (' . $Site_URL . ')',
				'recipient' => $Admin_Email,
				'additional_headers' => 'Reply-To: [your-email]',
				'attachments' => '',
				'use_html' => 0,
				'exclude_blank' => 0
		);

		add_post_meta($insert_result, "_mail", $mail_array);
		add_post_meta($insert_result, "_form",
'<p>Your Name (required)<br />
    [text* your-name] </p>

<p>Your Email (required)<br />
    [email* your-email] </p>

<p>Subject<br />
    [text your-subject] </p>

<p>Your Message<br />
    [textarea your-message] </p>

<p>[submit "Send"]</p>
		');
		add_post_meta($insert_result, "_mail_2", $mail_array);
		add_post_meta($insert_result, "_messages", array(
				"mail_sent_ok",
				"Your message was sent successfully. Thanks.",
				"mail_sent_ng",
				"Failed to send your message. Please try later or contact the administrator by another method.",
				"validation_error",
				"Validation errors occurred. Please confirm the fields and submit it again.",
				"spam",
				"Failed to send your message. Please try later or contact the administrator by another method.",
				"accept_terms",
				"Please accept the terms to proceed.",
				"invalid_required",
				"Please fill in the required field.",
				"invalid_too_long",
				"This input is too long.",
				"invalid_too_short",
				"This input is too short."
				)
			);

		add_post_meta($insert_result, "_additional_settings", '');
		add_post_meta($insert_result, "_locale", 'en_US');
	}
}




/*
======================================================================
DO SAVE ACTIONS
======================================================================
*/
function EWD_KCAE_Check_Create_Contact_Form() {
	$contactFormEnable = get_theme_mod( 'ewd_kcae_prem_setting_contact_form_enable', 'no' );

	if ($contactFormEnable == "yes") {
		$CF_7_Installed = function_exists( 'wpcf7_add_form_tag_text');
		if ($CF_7_Installed) {
			$KCAE_Contact_Form = get_page_by_path('ewd-kcae-contact-form', OBJECT, 'wpcf7_contact_form');

			if (!$KCAE_Contact_Form) {
				EWD_KCAE_Create_Contact_Form();
			}
		}
	}
}
add_action('customize_save_after', 'EWD_KCAE_Check_Create_Contact_Form');




/*
=====================================================================
SET THEME OPTIONS ON ACTIVATION
=====================================================================
*/

if (isset($_GET['activated']) && is_admin()){
	if (get_option("EWD_KCAE_Homepage_Sections") == "") {update_option("EWD_KCAE_Homepage_Sections", EWD_KCAE_Get_Homepage_Default_Sections());}
}

function EWD_KCAE_Get_Homepage_Default_Sections() {
	$Sections = array(
		array(
			'Name' => 'Slider',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Static Slide',
			'Display' => 'No'
			),
		array(
			'Name' => 'Jump Boxes',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Tracking Area',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Main Content',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Testimonials',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Callout Area',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Featured Products',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Text on Picture',
			'Display' => 'Yes'
			)
		);

	return $Sections;
}



/*
=====================================================================
DO CUSTOMIZER AJAX
=====================================================================
*/

function EWD_KCAE_Save_Homepage_Sections() {
	$Section_Array = json_decode(stripslashes($_POST['data']));
	if (!is_array($Section_Array)) {die();}

	foreach ($Section_Array as $Order => $Section) {
		$Save_Section[$Order]['Name'] = $Section[0];
		$Save_Section[$Order]['Display'] = $Section[1];
	}

	update_option("EWD_KCAE_Homepage_Sections" , $Save_Section);
	die();
}
add_action('wp_ajax_kcae_update_homepage_section', 'EWD_KCAE_Save_Homepage_Sections');






/*
=====================================================================
Add logged-in menu location
=====================================================================
*/

function ewd_kcae_prem_register_logged_in_menu() {
  register_nav_menu('logged-in-menu', __('Logged-In Menu', 'keep-calm-and-e-comm'));
}
add_action( 'init', 'ewd_kcae_prem_register_logged_in_menu' );




